Subject: Set the RewriteBase configuration in the .htaccess by default
Description

Apache server does not allow modules to reconfigure the DOCUMENT_ROOT, this can cause problems with mod_rewrite, and will
cause problems with mod_vhost_alias.

This is fixed in a recent commit of apache, but can still affect a lot of installations. AFAIK it does not hurt to set the RewriteBase
directive by default, so it might be worth to set it.

Apache commit which fixes this in apache: http://svn.apache.org/viewvc?view=revision&#38;revision=1132494

Associated revisions
Revision ab61da44 - 2011-10-12 20:16 - Rens Admiraal

[TASK] Enable RewriteBase configuration by default

By enabling the RewriteBase / by default the .htaccess configuration
works by default on VirtualHost configurations with a
DocumentRoot direction (default) and VirtualDocumentRoot directive
(mod_vhost_alias).

Tested on MacOSX with apache, please also test on other configurations
before publishing.

Resolves: #30857

Change-Id: I41a3c7571050fdd695ca4d801c2143c8c8543247

History
#1 - 2011-10-12 20:17 - Mr. Hudson

Patch set 1 of change I41a3c7571050fdd695ca4d801c2143c8c8543247 has been pushed to the review server.
It is available at http://review.typo3.org/5746

#2 - 2011-10-21 13:39 - Karsten Dambekalns
- Status changed from New to Resolved
- % Done changed from 0 to 100

It's included in 1.0.0, says Gerrit... :)

2015-08-03 1/1

http://svn.apache.org/viewvc?view=revision&#38;revision=1132494
http://review.typo3.org/5746

